Subject: bug#3436: closed (Re: 23.0.91; Gnus: gnus-summary-toggle-truncation needs manual update)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Sep 2011 08:26:02 +0000

Your bug report

#3436: (redraw-display) does not always redraw display

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3436: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3436
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.91; Gnus: gnus-summary-toggle-truncation needs manual update
From: Teemu Likonen <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 18 Sep 2011 11:20:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* 2011-09-17T07:54:43+02:00 * Lars Magne Ingebrigtsen wrote:

> I'm unable to see this problem in Emacs 24. Can you still reproduce
> the bug in a current Emacs?

I'm using 23.2 (Debian) and don't see the problem in it. I guess this is
DONE.

Subject: 23.0.91; Gnus: gnus-summary-toggle-truncation needs manual update
From: Teemu Likonen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 31 May 2009 19:51:05 +0300

In Gnus summary buffer there is command gnus-summary-toggle-truncation
(C-t). It seems to do pretty much the same as toggle-truncate-lines
command, except that the former does not update the buffer after toggle.

Try this:

 1. Enter Gnus summary buffer

 2. Make the window so narrow that the lines don't fit horizontally in
    the window.

 3. Press C-t

 4. Nothing happens until you update the window, with C-l, for example.

This used to work with my Emacs 22.2.

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-03-21 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090320-1~lenny1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: fi_FI.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  TeX-PDF-mode: t
  gnus-agent-mode: t
  shell-dirtrack-mode: t
  ergo-movement-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t